Subject: Re: [bug#60240] [PATCH v2] gnu: Add python-3.12 and python-next.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 26 Feb 2024 09:25:23 +0100

Hi Lars,

Thanks for reviewing!

Quoting Lars-Dominik Braun (2024-02-25 15:08:20)
> > I created a brand new package definition for it, not inheriting from
> > `python-2`. I actually copied/pasted the `python-2` package definition,
> > removed what was specific to Python 2 and then copied over the things
> > specific to Python 3 from the `python-3.10` package definition.
> 
> LGTM.
> 
> I believe the separate tk output does not give us any benefits regarding
> closure size (any more?), because tcl and tk are both referenced from
> `out`. Can we remove those references to reduce closure size again?

Sorry, but I’m not sure to see what you mean!?
Outputs are defined for `out`, `tk` and `idle`. And I see phases to move
files to the outputs: `move-tk-inter` and `move-idle`.

What do you mean by `referenced from out`? And how would you remove such
a reference!

Sorry, I’m still new to this! 😅

> And I can also confirm test_asyncio runs out of memory on my machine
> and test_threading never finishes. We should probably investigate both,
> because they should not.

I searched in the issue list on GH, but couldn’t find anything relevant.
But there are quite a lot of issues there.
Do we have to fix this before we merge it?

> > - When I apply the patch I get whitespace errors, but I don’t know how
> >   those whitespace were introduced and how to get rid of them.
> 
> Line 641, as highlighted by `git show`.

Mmm… when I apply it using b4, it doesn’t complain any more?! 🤔

```console
$ b4 shazam [email-masked]
Looking up https://yhetil.org/guix/[email-masked]
Grabbing thread from yhetil.org/guix/[email-masked]/t.mbox.gz
Checking for newer revisions
Grabbing search results from lore.kernel.org
Nothing matching that query.
Analyzing 10 messages in the thread
Will use the latest revision: v2
You can pick other revisions using the -vN flag
---
  [PATCH v2] gnu: Add python-3.12 and python-next.
---
Total patches: 1
---
 Base: using specified base-commit 6831dfc58bf14341176f7358941ed685f34fb4c3
Applying: gnu: Add python-3.12 and python-next.
```

> > Btw, the patch targets the branch `python-team`.
> 
> I believe this change could target master, since it only adds python-3.12,
> but does not cause any rebuilds using it.

Oh… correct! 😅

Regards,

-- 
Tanguy